# OpenIdExtensionAttributeExchange Class Reference
[OpenId implementation]

Inheritance diagram for OpenIdExtensionAttributeExchange:
[legend]

List of all members.

## Public Member Functions

| addParamsToModel (Model $model)
| parseResponce (HttpRequest $request, array $params)
| addParam ($paramName)
| dropParams ()
| getPrefix (array $params)
| getCountry ()
| getEmail ()
| getFirstname ()
| getLastname ()
| getLanguage ()

## Static Public Member Functions

static | create ()

## Public Attributes

const | NAMESPACE_1_0 = 'http://openid.net/srv/ax/1.0'
const | PARAM_EMAIL = 'email'
const | PARAM_FIRSTNAME = 'firstname'
const | PARAM_LASTNAME = 'lastname'
const | PARAM_COUNTRY = 'country'
const | PARAM_LANGUAGE = 'language'

## Private Attributes

| $params = array()
| $country = null
| $email = null
| $firstname = null
| $lastname = null
| $language = null

## Detailed Description

See also:
  http://openid.net/specs/openid-attribute-exchange-1_0.html
  http://code.google.com/intl/ru/apis/accounts/docs/OpenID.html

Definition at line 18 of file OpenIdExtensionAttributeExchange.class.php.

## Member Function Documentation

OpenIdExtensionAttributeExchange::addParam | ( | $ | paramName | ) |

Returns:
  OpenIdExtensionAttributeExchange

Definition at line 94 of file OpenIdExtensionAttributeExchange.class.php.

OpenIdExtensionAttributeExchange::addParamsToModel | ( | Model $ | model | ) |

Parameters:

  | Model | $model

Implements OpenIdExtension.

Definition at line 45 of file OpenIdExtensionAttributeExchange.class.php.

static OpenIdExtensionAttributeExchange::create | ( |  | ) | `[static]`

Returns:
  OpenIdExtensionAttributeExchange

Definition at line 37 of file OpenIdExtensionAttributeExchange.class.php.

OpenIdExtensionAttributeExchange::dropParams | ( |  | ) |

Returns:
  OpenIdExtensionAttributeExchange

Definition at line 104 of file OpenIdExtensionAttributeExchange.class.php.

OpenIdExtensionAttributeExchange::getCountry | ( |  | ) |

Definition at line 122 of file OpenIdExtensionAttributeExchange.class.php.

OpenIdExtensionAttributeExchange::getEmail | ( |  | ) |

Definition at line 127 of file OpenIdExtensionAttributeExchange.class.php.

OpenIdExtensionAttributeExchange::getFirstname | ( |  | ) |

Definition at line 132 of file OpenIdExtensionAttributeExchange.class.php.

OpenIdExtensionAttributeExchange::getLanguage | ( |  | ) |

Definition at line 142 of file OpenIdExtensionAttributeExchange.class.php.

OpenIdExtensionAttributeExchange::getLastname | ( |  | ) |

Definition at line 137 of file OpenIdExtensionAttributeExchange.class.php.

OpenIdExtensionAttributeExchange::getPrefix | ( | array $ | params | ) |

Definition at line 111 of file OpenIdExtensionAttributeExchange.class.php.

Referenced by parseResponce().

OpenIdExtensionAttributeExchange::parseResponce | ( | HttpRequest $ | request,
|  | array $ | params |
| ) |  |  |

Parameters:

  | HttpRequest | $request
  | array | $params

Implements OpenIdExtension.

Definition at line 77 of file OpenIdExtensionAttributeExchange.class.php.

References getPrefix().

Here is the call graph for this function:

## Member Data Documentation

OpenIdExtensionAttributeExchange::$country = null`[private]`

Definition at line 28 of file OpenIdExtensionAttributeExchange.class.php.

OpenIdExtensionAttributeExchange::$email = null`[private]`

Definition at line 29 of file OpenIdExtensionAttributeExchange.class.php.

OpenIdExtensionAttributeExchange::$firstname = null`[private]`

Definition at line 30 of file OpenIdExtensionAttributeExchange.class.php.

OpenIdExtensionAttributeExchange::$language = null`[private]`

Definition at line 32 of file OpenIdExtensionAttributeExchange.class.php.

OpenIdExtensionAttributeExchange::$lastname = null`[private]`

Definition at line 31 of file OpenIdExtensionAttributeExchange.class.php.

OpenIdExtensionAttributeExchange::$params = array()`[private]`

Definition at line 27 of file OpenIdExtensionAttributeExchange.class.php.

const OpenIdExtensionAttributeExchange::NAMESPACE_1_0 = 'http://openid.net/srv/ax/1.0'

Definition at line 20 of file OpenIdExtensionAttributeExchange.class.php.

const OpenIdExtensionAttributeExchange::PARAM_COUNTRY = 'country'

Definition at line 24 of file OpenIdExtensionAttributeExchange.class.php.

const OpenIdExtensionAttributeExchange::PARAM_EMAIL = 'email'

Definition at line 21 of file OpenIdExtensionAttributeExchange.class.php.

const OpenIdExtensionAttributeExchange::PARAM_FIRSTNAME = 'firstname'

Definition at line 22 of file OpenIdExtensionAttributeExchange.class.php.

const OpenIdExtensionAttributeExchange::PARAM_LANGUAGE = 'language'

Definition at line 25 of file OpenIdExtensionAttributeExchange.class.php.

const OpenIdExtensionAttributeExchange::PARAM_LASTNAME = 'lastname'

Definition at line 23 of file OpenIdExtensionAttributeExchange.class.php.

The documentation for this class was generated from the following file:

- main/OpenId/OpenIdExtensionAttributeExchange.class.php